<?php
//  @copyright	Copyright (C) 2008 - 2009 IceTheme. All Rights Reserved
//  @license	Copyrighted Commercial Software 
//  @author     IceTheme (icetheme.com)

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Include PHP files to the template
include_once(JPATH_ROOT . "/templates/" . $this->template . '/icetools/default.php');
include_once(JPATH_ROOT . "/templates/" . $this->template . '/icetools/switcher.php');

// Remove this files from the head of the template
	unset($this->_scripts[$this->baseurl . '/media/system/js/mootools.js']);
	unset($this->_scripts[$this->baseurl . '/media/system/js/caption.js']);
 
// Add this files on the head of the template 
	$this->_scripts = array_merge(array($template_baseurl . '/js/ice-menu.js' => 'text/javascript'), $this->_scripts);
	 
	if($gzip == "true") :
    $this->_scripts = array_merge(array($template_baseurl . '/js/mootools.php' => 'text/javascript'), $this->_scripts);
 	else:
	$this->_scripts = array_merge(array($template_baseurl . '/js/mootools-1.2-more.js' => 'text/javascript'), $this->_scripts);
	$this->_scripts = array_merge(array($template_baseurl . '/js/mootools-1.2.1-core-nc.js' => 'text/javascript'), $this->_scripts);
	endif;
	
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >

<head>

<jdoc:include type="head" />

<!-- CSS -->
<style type="text/css" media="screen">
/*\*/@import url("<?php echo $this->baseurl ?>/templates/system/css/system.css");/**/
/*\*/@import url("<?php echo $this->baseurl ?>/templates/system/css/general.css");/**/

<?php if($gzip == "true") : ?>
/*\*/@import url("<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template_css.css.php");/**/
<?php else: ?>
/*\*/@import url("<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template_css.css");/**/
<?php endif; ?>
/*\*/@import url("<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/styles/<?php echo $TemplateStyle; ?>.css");/**/


#outer-column-container { border-left-color:#<?php echo $layout_leftcol_bgcolor ?>; border-right-color:#<?php echo $layout_rightcol_bgcolor ?>; }

#inner-column-container {  border-left-color:#<?php echo $layout_leftcol_bordercolor ?>; border-right-color:#<?php echo $layout_rightcol_bordercolor ?>;  }
	
<?php if ($this->countModules('left + othermenu')) { ?>
#outer-column-container { border-left-width:<?php echo $layout_leftcol_width ?>px;}
#left-column { margin-left: -<?php echo $layout_leftcol_width ?>px; width: <?php echo $layout_leftcol_width ?>px;}
#inner-column-container {  border-left-width:1px; margin-right:-1px;}
<?php } ?>	

<?php if ($this->countModules('right')) { ?>
#outer-column-container { border-right-width:<?php echo $layout_rightcol_width ?>px;	}
#right-column { margin-right: -<?php echo $layout_rightcol_width ?>px; width: <?php echo $layout_rightcol_width ?>px;}
#inner-column-container { border-right-width:1px; margin-left:-1px;}	
<?php } ?>	

<?php if($mainnav_oneline == "true") : ?>
/*This is when menu is set to 1 line from the Template Manager */
ul#nav li a{ font-size:1.2em;  padding:15px 14px 18px;}
ul#nav li a span { padding-top:10px; display:inline;}
ul#nav li a span.sub { display:inline; font-size:1em; padding-top:0; color:#fff; font-family:Georgia, "Times New Roman", Times, serif;}
ul#nav li a span.sub:hover  {color:#fff}
<?php endif; ?>

</style>

<!--[if lte IE 7]>
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/ie.css" />
<![endif]-->

<!--[if lt IE 7]>
 <script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/js/fix-png-ie6.js"></script>
<script type="text/javascript" >
	DD_belatedPNG.fix('.png, img.png, #fontswitcher ul li a, ul.icescroller_buttons li a, #footer #gotop p a, #MainMenuSub li.parent a, p.buttonheading img');
</script>
<![endif]--> 

<script type="text/javascript" >
	window.addEvent('domready', function() {			
		
		// MainMenu
		<?php if ($this->countModules('mainmenu')) { ?>
		var MainMenu = new IceMenu({
			id: '<?php echo $mainnav_id ?>',
			subMenusContainerId:'MainMenuSub',
			effect: '<?php echo $mainnav_effect ?>',
			duration: <?php echo $mainnav_duration ?>,
			physics: Fx.Transitions.<?php echo $mainnav_transition ?>,
			hideDelay: <?php echo $mainnav_delay ?>,
			orientation: '<?php echo $mainnav_orientation ?>',
			direction:{	x: '<?php echo $mainnav_direction_x ?>',	y: '<?php echo $mainnav_direction_y ?>' },
			opacity: <?php echo $mainnav_opacity ?>
		});
		<?php } ?>
		
		// OtherMenu 
		<?php if ($this->countModules('othermenu')) { ?>
		var OtherMenu = new IceMenu({
			id: '<?php echo $othermenu_id ?>',
			subMenusContainerId:'OtherMenuSub',
			effect: '<?php echo $othermenu_effect ?>',
			duration: <?php echo $othermenu_duration ?>,
			physics: Fx.Transitions.<?php echo $othermenu_transition ?>,
			hideDelay: <?php echo $othermenu_delay ?>,
			orientation: '<?php echo $othermenu_orientation ?>',
			direction:{	x: '<?php echo $othermenu_direction_x ?>',	y: '<?php echo $othermenu_direction_y ?>' },
			opacity: <?php echo $othermenu_opacity ?>
		});
		<?php } ?> 
		
		<?php if($this->params->get('gotop')) { ?>
		new SmoothScroll({ duration:<?php echo $gotop_duration ?>, transition: Fx.Transitions.<?php echo $gotop_transition ?>  }, window); 
		<?php } ?> 

	});		
</script>

</head>

<body class="<?php echo $FontSize; ?>">

    <ol id="accessibility">
        <li><a href="#nav">Skip to Menu</a></li>
        <li><a href="#mainwrapper">Skip to Content</a></li>
        <li><a href="#footer" >Skip to Footer></a></li>
    </ol>


<div class="wrapper_full">
	
     <!-- Header Top -->  
    <div id="header_top">
     
        <!-- Top Area -->  
        <div id="toparea">
   			
            <div class="wrapper">
                 
                    <jdoc:include type="modules" name="topmenu" />
                
                     
                    <?php if($this->params->get('FontSwitcher')) { ?>
                     <div id="fontswitcher">
                     	<ul>
                            <li class="smallfont"><a href="<?php echo $mainurl; ?>FontSize=font-small" title="<?php echo JText::_("Small Font");?>"></a></li>
                            <li class="normalfont"><a href="<?php echo $mainurl; ?>FontSize=font-medium" title="<?php echo JText::_("Normal Font");?>"></a></li>
                            <li class="largefont"><a href="<?php echo $mainurl; ?>FontSize=font-large" title="<?php echo JText::_("Large Font");?>"></a></li>
                    	</ul>
                     </div>
                     <?php } ?>
                     
                      <?php if($this->params->get('CurrentDate')) { ?>
                     <div class="currentdate">
						<span class="cd_day"><?php $date = &JFactory::getDate(); echo $date->toFormat('%A'); ?></span>
						<span class="cd_month"><?php $date = &JFactory::getDate(); echo $date->toFormat('%b'); ?></span>
						<span class="cd_year"><?php $date = &JFactory::getDate(); echo $date->toFormat('%d'); ?></span>
					</div>
                    <?php } ?>
                    
                    
                       
                    
            </div>

        </div><!-- Top Area -->
	
    </div><!-- Header Top -->
            
    <!-- Site Border -->
    <div id="site_border">
    
        <!-- Header -->	  
        <div id="header">
                    
             <div class="wrapper">
             
                 <div class="padding">
                	
                    <?php if ($this->countModules('banner')) { ?>
                    <div class="floatleft width33">
                        <jdoc:include type="modules" name="banner"  />
                    </div>
                    <?php } ?>
                    
                    <div id="logo" class="width33 aligncenter">
                        <a href="/"><img src="<?php echo $this->baseurl ?>/images/icetheme/logo_<?php echo $TemplateStyle; ?>.png" alt="<?php echo JText::_("IT Headline");?>" width="250" height="60" /></a>
                    </div> 
                    
                     <?php if ($this->countModules('weather')) { ?>
                    <div class="floatright width33 alightright">
                       <jdoc:include type="modules" name="weather" />
                    </div>
                    <?php } ?>
                    
                   
                
                </div>
                 
                <?php if ($this->countModules('mainmenu')) { ?>
                <div id="main-nav">
                    <jdoc:include type="modules" name="mainmenu" />
                </div> 
                <?php } ?> 
            
             </div>              
        
        </div><!-- Header -->	
        
        <?php if ($this->countModules('search + icescroller + breadcrumb')) { ?>
        <!-- UserArea -->	
        <div class="border_inside">
        
            <div id="userarea" class="clearfix">
                    
                <div class="wrapper">
                
                <div class="userareabg">
                    
                    <div class="padding">
                        
                        <?php if ($this->countModules('icescroller')) { ?>
                        <div class="floatleft" style="position:relative;">
                       		<jdoc:include type="modules" name="icescroller" />    
                        </div>    
                        <?php } ?>
                        
                        <?php if ($this->countModules('breadcrumb')) { ?>
                         <div id="breadcrumbs" class="clearfix">
                            <jdoc:include type="modules" name="breadcrumb" />
                        </div>  
                        <?php } ?>
                                            
                        
                         <?php if ($this->countModules('search')) { ?>
                        <div class="floatright">
                             <jdoc:include type="modules" name="search" />
                        </div>
                        <?php } ?>
             
                    </div>            
        
                </div> 
                
                </div>            
             
            </div>                    
            
        </div>
        <?php } ?> 
        
        
      
        
        
        <?php if ($this->countModules('promo1 + promo2 + promo3 + promo4 + promo5 + promo6 + iceslider + iceslideshow')) { ?>
        <!-- Promo -->
        <div id="promo_top">
        
            <div id="promo_bottom">
             
                 <div id="promo"> 
                
                    <div class="wrapper">
                    
                        <div class="padding">
                        
							<?php if ($this->countModules('banner2 + banner3 + banner4')) { ?>
            
							<div id="banner">
								<?php if ($this->countModules('banner2')) { ?>
                                <div class="<?php echo $bannerewidth; ?> <?php echo $bannersep1; ?> floatleft">
                                    <jdoc:include type="modules" name="banner2"  />
                                </div>
                                <?php } ?>
                                
                                <?php if ($this->countModules('banner3')) { ?>
                                <div class="<?php echo $bannerewidth; ?> <?php echo $bannersep2; ?> floatleft">
                                    <jdoc:include type="modules" name="banner3"  />
                                </div>
                                <?php } ?>
                                
                                <?php if ($this->countModules('banner4')) { ?>
                                <div class="<?php echo $bannerewidth; ?> floatleft">
                                    <jdoc:include type="modules" name="banner4"  />
                                </div>
                                <?php } ?>
                                
             				</div>
        					<?php } ?> 
		
							<?php if ($this->countModules('promo1')) { ?>
                            <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep1; ?> floatleft">
                                <jdoc:include type="modules" name="promo1" style="icemodule"  />
                            </div>
                            <?php } ?>
                            <?php if ($this->countModules('promo2')) { ?>
                            <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep2; ?> floatleft">
                                <jdoc:include type="modules" name="promo2" style="icemodule"  />
                            </div>
                            <?php } ?>
                            <?php if ($this->countModules('promo3')) { ?>
                            <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep3; ?> floatleft">
                                <jdoc:include type="modules" name="promo3" style="icemodule"  />
                            </div>
                            <?php } ?>
                            <?php if ($this->countModules('promo4')) { ?>
                            <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep4; ?> floatleft">
                                <jdoc:include type="modules" name="promo4" style="icemodule"  />
                            </div>
                            <?php } ?>
                            <?php if ($this->countModules('promo5')) { ?>
                            <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep5; ?> floatleft">
                                <jdoc:include type="modules" name="promo5" style="icemodule"  />
                            </div>
                            <?php } ?>
                            <?php if ($this->countModules('promo6')) { ?>
                            <div class="<?php echo $promomodulewidth; ?>  floatleft">
                                <jdoc:include type="modules" name="promo6" style="icemodule"  />
                            </div>
                            <?php } ?> 
                            
                            <?php if ($this->countModules('iceslider')) { ?>
                            <div class="floatleft">
                                 <jdoc:include type="modules" name="iceslider" />
                            </div>
                            <?php } ?> 
                            
                            <jdoc:include type="modules" name="iceslideshow" />
    
                        
                        </div>                
                    
                    </div>              
                            
                </div>
                
            </div>
            
        </div> 
        <?php } ?>    
                                     
                                                       
        <!-- Content --> 
        <div class="border_inside">
         
            <div id="content" class="clearfix">
            
                <div class="wrapper">

                    <!-- Columns Container -->             
                    <div id="columns-container">
                        
                        <div id="outer-column-container">
                            
                            <div id="inner-column-container" class="clearfix">
                                
                                <!-- Source Order Container -->	
                                <div id="source-order-container">
                                    
                                    <!-- Middle Column -->   
                                    <div id="middle-column">
                                                        
                                        <div class="inside">
                            
                    
                                            <?php if ($this->countModules('user1 + user2 + user3')) { ?>
                                            <div id="usertopmods">    
                                                
                                                <?php if ($this->countModules('user1')) { ?>
                                                <div class="<?php echo $usertopmodwidth; ?> <?php echo $usetopmodsep1; ?> floatleft">
                                                    <jdoc:include type="modules" name="user1" style="icemodule"  />
                                                </div>
                                                <?php } ?>
                                                
                                                <?php if ($this->countModules('user2')) { ?>
                                                <div class="<?php echo $usertopmodwidth; ?> <?php echo $usetopmodsep2; ?> floatleft">																		 													<jdoc:include type="modules" name="user2" style="icemodule"  />
                                                </div>
                                                <?php } ?>
                                                 
                                                <?php if ($this->countModules('user3')) { ?>
                                                <div class="<?php echo $usertopmodwidth; ?> floatleft">
                                                    <jdoc:include type="modules" name="user3" style="icemodule"  />
                                                </div>
                                                <?php } ?>
                        
                                             </div> 
                                             <?php } ?>
                     
                                             <?php if ($this->countModules('content1 + content2')) { ?>
                                             <div id="contenttopmods">
                                             
                                                 <?php if ($this->countModules('content1')) { ?>
                                                 <div class="<?php echo $contenttopmodwidth; ?> <?php echo $contenttopmodsep1; ?> floatleft">
                                                    <jdoc:include type="modules" name="content1" style="icemodule"  />
                                                 </div>
                                                 <?php } ?>
                                                    
                                                 <?php if ($this->countModules('content2')) { ?>
                                                 <div class="<?php echo $contenttopmodwidth; ?> floatleft">
                                                    <jdoc:include type="modules" name="content2" style="icemodule"  />
                                                 </div>
                                                 <?php } ?>
                                                 
                                             </div>      
                                             <?php } ?>
                            
                                             <jdoc:include type="message" />
                                             <jdoc:include type="component" />
                                
                                             <?php if ($this->countModules('content3 + content4')) { ?>
                                             <div id="contentbotmods">
                                             
                                                 <?php if ($this->countModules('content3')) { ?>
                                                 <div class="<?php echo $contentbottomodwidth; ?> <?php echo $contentbottomodsep1; ?> floatleft">
                                                    <jdoc:include type="modules" name="content3" style="icemodule"  />
                                                 </div>
                                                 <?php } ?>
                                                 
                                                 <?php if ($this->countModules('content4')) { ?>
                                                 <div class="<?php echo $contentbottomodwidth; ?> floatleft">
                                                    <jdoc:include type="modules" name="content4" style="icemodule"  />
                                                 </div>
                                                 <?php } ?>
                                             
                                             </div>      
                                             <?php } ?>
                     
                                             <?php if ($this->countModules('user4 + user5 + user6')) { ?>
                                             <div id="userbottommods">    
                                                
                                                <?php if ($this->countModules('user4')) { ?>
                                                <div class="<?php echo $userbottomodwidth; ?> <?php echo $userbotmodsep1; ?> floatleft">
                                                    <jdoc:include type="modules" name="user4" style="icemodule"  />
                                                </div>
                                                <?php } ?>
                                                
                                                <?php if ($this->countModules('user5')) { ?>
                                                <div class="<?php echo $userbottomodwidth; ?> <?php echo $userbotmodsep2; ?> floatleft">
                                                    <jdoc:include type="modules" name="user5" style="icemodule"  />
                                                </div>
                                                <?php } ?>
                                                
                                                <?php if ($this->countModules('user6')) { ?>
                                                <div class="<?php echo $userbottomodwidth; ?> <?php echo $userbotmodsep3; ?> floatleft">
                                                    <jdoc:include type="modules" name="user6" style="icemodule"  />
                                                </div>
                                                <?php } ?>
                                                               
                                             </div>            
                                             <?php } ?> 
                                             
                    						<jdoc:include type="modules" name="carouselslide"  />
                    
                                        </div>
                                                
                                    </div><!-- Middle Column -->
                     

                                    <?php if ($this->countModules('left + othermenu')) { ?>
                                    <div id="left-column">
                                                 
                                        <div class="inside">
                                              <?php if ($this->countModules('othermenu')) { ?>
                                            <div id="othermenu_wrap" style="height:<?php echo $othermenu_height ?>px">
                                                <jdoc:include type="modules" name="othermenu"/>
                                            </div>
                                            <?php } ?>
                                        
                                            <jdoc:include type="modules" name="left" style="icemodule"  />
                                        </div>    
                                                     
                                    </div>
                        
                                    <div class="clear-columns"></div>
                                    <?php } ?>
                 
                                </div><!-- Source Order Container -->	


                                <?php if ($this->countModules('right')) { ?>
                                <div id="right-column">
                                                    
                                    <div class="inside">
                                        <jdoc:include type="modules" name="right" style="icemodule"  />
                                    </div>
                                                    
                                 </div>
                                 
                                 <div class="clear-columns"></div>
                                 <?php } ?>
                                 
                                                                                    
                            </div>
                                     
                        </div>
                                
                    </div><!-- Columns Container -->    
                                
                        
                </div>
        
            </div>
    
        </div><!-- Content -->                   
        
 
        <?php if ($this->countModules('bottom1 + bottom2 + bottom3 + bottom4 + bottom5 + bottom6')) { ?>
        <!-- Bottom -->   
        <div id="bottom_border">
 
            <div id="bottom_top">
        
                <div id="bottom_bottom">
            
                    <div id="bottom" class="clearfix">
        
                        <div class="wrapper">
    
                            <div class="padding">
            
                                <?php if ($this->countModules('bottom1')) { ?>
                                    <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep1; ?> floatleft">
                                        <jdoc:include type="modules" name="bottom1" style="icemodule"  />
                                    </div>
                                <?php } ?>
                                <?php if ($this->countModules('bottom2')) { ?>
                                    <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep2; ?> floatleft">
                                        <jdoc:include type="modules" name="bottom2" style="icemodule"  />
                                    </div>
                                <?php } ?>
                                <?php if ($this->countModules('bottom3')) { ?>
                                    <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep3; ?> floatleft">
                                        <jdoc:include type="modules" name="bottom3" style="icemodule"  />
                                    </div>
                                <?php } ?>
                                <?php if ($this->countModules('bottom4')) { ?>
                                    <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep4; ?> floatleft">
                                        <jdoc:include type="modules" name="bottom4" style="icemodule"  />
                                    </div>
                                <?php } ?>
                                <?php if ($this->countModules('bottom5')) { ?>
                                    <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep5; ?> floatleft">
                                        <jdoc:include type="modules" name="bottom5" style="icemodule"  />
                                    </div>
                                <?php } ?>
                                <?php if ($this->countModules('bottom6')) { ?>
                                    <div class="<?php echo $botmodwidth; ?>  floatleft">
                                        <jdoc:include type="modules" name="bottom6" style="icemodule"  />
                                    </div>
                                <?php } ?>            	
                        
                            </div>
                            
                        </div>                                                          
        
                    </div>     
                   
                </div>
                
            </div>
                                                                         
        </div>
        <?php } ?>   
                    
    </div><!-- Site Border --> 
        
    <!-- Footer -->
    <div id="footer_top">

        <div id="footer" class="clearfix">
        
            <div class="wrapper">
                
                <div class="padding">
    
                    <jdoc:include type="modules" name="footerlinks" />
                                                
                    <?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                    <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
                    <?php } ?>
                    
                    <jdoc:include type="modules" name="footer" />
                                    
                    <jdoc:include type="modules" name="footermenu" />
                                       
                    <?php if($this->params->get('gotop')) { ?>
                         <div id="gotop"><p><a href="#header_top"><span><?php echo JText::_("Go to Top");?></span></a></p></div>
                    <?php } ?>
                            
                </div>
                        
            </div> 
            
        </div>
    
    </div><!-- Footer -->    
   
</div> <!-- Wrapper Full -->                  

<jdoc:include type="modules" name="debug" />
                        
</body>
</html>
